# *******************************************************************************
#  Copyright (c) 2020 Robert Bosch GmbH and others.
# 
#  This program and the accompanying materials are made
#  available under the terms of the Eclipse Public License 2.0
#  which is available at https://www.eclipse.org/legal/epl-2.0/
# 
#  SPDX-License-Identifier: EPL-2.0
# 
#     Generated using Eclipse EMF
# 
# *******************************************************************************

pluginName = APP4MC SLG Configuration Model Edit Support
providerName = Eclipse APP4MC

_UI_CreateChild_text = {0}
_UI_CreateChild_text2 = {1} {0}
_UI_CreateChild_text3 = {1}
_UI_CreateChild_tooltip = Create New {0} Under {1} Feature
_UI_CreateChild_description = Create a new child of type {0} for the {1} feature of the selected {2}.
_UI_CreateSibling_description = Create a new sibling of type {0} for the selected {2}, under the {1} feature of their parent.

_UI_PropertyDescriptor_description = The {0} of the {1}

_UI_ConfigModel_type = Config Model
_UI_CustomImpl_type = Custom Impl
_UI_CustomTickImpl_type = Custom Tick Impl
_UI_CustomReadImpl_type = Custom Read Impl
_UI_CustomWriteImpl_type = Custom Write Impl
_UI_MiddleWareSettings_type = Middle Ware Settings
_UI_Unknown_type = Object

_UI_Unknown_datatype= Value

_UI_ConfigModel_vrteVersion_feature = Vrte Version
_UI_ConfigModel_defaultTickType_feature = Default Tick Type
_UI_ConfigModel_customTickImpl_feature = Custom Tick Impl
_UI_ConfigModel_customReadImpl_feature = Custom Read Impl
_UI_ConfigModel_customWriteImpl_feature = Custom Write Impl
_UI_ConfigModel_platformArchitectureType_feature = Platform Architecture Type
_UI_ConfigModel_vrteAdaptiveStudioVersion_feature = Vrte Adaptive Studio Version
_UI_ConfigModel_middleWareSpecificSettings_feature = Middle Ware Specific Settings
_UI_CustomImpl_enable_feature = Enable
_UI_CustomImpl_value_feature = Value
_UI_Unknown_feature = Unspecified

_UI_FileType_UNDEFINED_literal = UNDEFINED
_UI_FileType_c_literal = c
_UI_FileType_h_literal = h
_UI_FileType_cpp_literal = cpp
_UI_FileType_hpp_literal = hpp
_UI_TickType_average_literal = average
_UI_TickType_minimum_literal = minimum
_UI_TickType_maximum_literal = maximum
_UI_PlatformArchitecture_x86_64_literal = x86_64
_UI_PlatformArchitecture_x86_32_literal = x86_32
_UI_PlatformArchitecture_aarch64_literal = aarch64
_UI_CodeHooks_type = Code Hooks
_UI_LibLocations_type = Lib Locations
_UI_HeaderFiles_type = Header Files
_UI_CodeHooks_libLocations_feature = Lib Locations
_UI_CodeHooks_headerFiles_feature = Header Files
_UI_LibLocations_linkedLibraries_feature = Linked Libraries
_UI_HeaderFiles_codehookType_feature = Codehook Type
_UI_HeaderFiles_fileNames_feature = File Names
_UI_CodehookType_Runnable_literal = Runnable
_UI_CodehookType_Task_literal = Task
_UI_ConfigModel_codeHooks_feature = Code Hooks
_UI_HeaderFiles_headerFilesNames_feature = Header Files Names
_UI_HeaderFiles_headerFilesPaths_feature = Header Files Paths
_UI_HeaderFiles_headerFilesDirectories_feature = Header Files Directories
_UI_LibLocations_packageNames_feature = Package Names
